/********************************************************************************************

    ████████╗██╗   ██╗██████╗  ██████╗  ██████╗ ██████╗  █████╗ ██████╗ ██╗  ██╗██╗   ██╗
    ╚══██╔══╝╚██╗ ██╔╝██╔══██╗██╔═══██╗██╔════╝ ██╔══██╗██╔══██╗██╔══██╗██║  ██║╚██╗ ██╔╝
       ██║    ╚████╔╝ ██████╔╝██║   ██║██║  ███╗██████╔╝███████║██████╔╝███████║ ╚████╔╝
       ██║     ╚██╔╝  ██╔═══╝ ██║   ██║██║   ██║██╔══██╗██╔══██║██╔═══╝ ██╔══██║  ╚██╔╝
       ██║      ██║   ██║     ╚██████╔╝╚██████╔╝██║  ██║██║  ██║██║     ██║  ██║   ██║
       ╚═╝      ╚═╝   ╚═╝      ╚═════╝  ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝╚═╝     ╚═╝  ╚═╝   ╚═╝

 ********************************************************************************************/



    /* Global base stylings */

    .responsiville {
        font-family: var(--nvm-font-sans-serif-roboto);
        font-size: var(--nvm-base-font-size);
        line-height: var(--nvm-base-line-height);
        color: var(--nvm-color-text);
    }

    .text {
        line-height: var(--nvm-text-line-height);
    }

    .responsiville h1, .responsiville .h1, 
    .responsiville h2, .responsiville .h2, 
    .responsiville h3, .responsiville .h3, 
    .responsiville h4, .responsiville .h4,
    .responsiville h5, .responsiville .h5,
    .responsiville h6, .responsiville .h6 {
        /*font-family: var(--nvm-font-sans-serif-roboto);*/
        font-family: var(--nvm-font-sans-serif-barlow);
        font-weight: bold;
        text-wrap: balance;
        overflow-wrap: normal;
    }

    .responsiville h1, .responsiville .h1 {
        /*font-size: clamp(30px, 22.2px + 2.174vw, 50px);*/
        font-size: 30px;
    }

    .responsiville h2, .responsiville .h2 {
        font-size: 20px;
    }

    .responsiville h3, .responsiville .h3 {
        /*font-size: clamp(20px, 14.5px + 1.522vw, 34px);*/
        font-weight: 700;
        font-size: 20px !important;
        line-height: 1em;
        margin-bottom: var(--ks-vertical-space-D);
    }

    .responsiville h4, .responsiville .h4, 
    .responsiville h5, .responsiville .h5,
    .responsiville h6, .responsiville .h6 {
        font-size: clamp(16px, 12.9px + 0.87vw, 24px);
    }




    /* Uppercase for (not only) Greek */

    .responsiville .uppercase {
        text-transform: uppercase;
    }



    /* Input fields */

    .responsiville input,
    .responsiville select,
    .responsiville textarea {
        color: var(--nvm-color-text);
        background-color: var(--ks-primary-white);
    }



    /* Links, global */

    .responsiville a {
        color: var(--nvm-color-text-link);
        line-height: 1.1em;
        position: relative;
        transition-duration: 0s;
    }

    a:hover {
        opacity: 1;
    }

    .responsiville .text a:not(.title-link):not(.image-link):not(.button) {
        padding-left: 4px;
        padding-right: 4px;
        padding-top: 1px;
        display: inline !important;
    }
    

    .responsiville a:not(.title-link):not(.image-link):hover {
        opacity: 1;
        text-decoration: none;
        background: var(--ks-primary-black);
        color: var(--ks-primary-white);
        transition-duration: 0s;
        
    }



    .responsiville main a.image-link:hover:before {
        display: none;
    }

    .responsiville main a.title-link:hover:before {
        display: none;
    }



    .responsiville main .content-seat__image a:not(.button):hover:before,
    .responsiville main .anchor-point__image a:not(.button):hover:before {
        display: none;
    }

    .responsiville main .anchor-point__image a:hover:before {
        display: none;
    }

    .responsiville .text a:not(.nvm-button) {
        color: var(--nvm-color-text-link);
        line-height: 1.1em;
        border-bottom-width: 0px;
        border-bottom-style: solid;
        transition-duration: 0s;
        font-weight: 700;
    }

    .responsiville .text a.nvm-button {
        font-weight: normal;
    }

    .responsiville .text a:hover {
        border-bottom-width: 1px;
        border-bottom-style: solid;
        opacity: 1;
        text-decoration: none;
        background: var(--ks-primary-black);
        color: var(--ks-primary-white) !important;
        transition-duration: 0s;
    }

    .responsiville .text .button,
    .responsiville .text .button:hover,
    .responsiville .text .gallery a,
    .responsiville .text .gallery a:hover,
    .responsiville .text .wp-caption a,
    .responsiville .text .wp-caption a:hover {
        border-bottom-width: 0;
        transition-duration: 0s;
    }

    .responsiville a.title-link span {
        position: relative;
        /*display: inline-block;*/
        
    }

    .responsiville a.title-link:hover span {
        background: var(--ks-primary-black);
        color: var(--ks-primary-white) !important;
        
    }

    .responsiville main a.title-link:hover span:before {
        position: absolute;
        z-index: -1;
        width: calc(100% + 8px);
        height: 100%;
        left: -4px;
        top: 0;
        content: "";
        background: var(--ks-primary-black);
        transition-duration: 0s;
    }

    .responsiville main a.title-link h1 span,
    .responsiville main a.title-link h3 span {
        font-weight: bold !important;
    }



    .responsiville main a.project-read-more:hover {
        background: transparent;
        color: var(--ks-primary-black) !important;
    }

    .responsiville main a.project-read-more:hover:before {
        display: none;
    }

    .responsiville main a.project-read-more h3.project-title {
        position: relative;
        line-height: 1.05em;
    }

    .responsiville main a.project-read-more:hover h3.project-title,
    .responsiville main a.project-read-more.hovered h3.project-title {
        background: var(--ks-primary-black);
        color: var(--ks-primary-white) !important;
    }

    .responsiville main a.project-read-more:hover h3.project-title:before,
    .responsiville main a.project-read-more.hovered h3.project-title:before {
        position: absolute;
        z-index: -1;
        width: calc(100% + 8px);
        height: 100%;
        left: -4px;
        top: 0;
        content: "";
        background: var(--ks-primary-black);
        transition-duration: 0s;
    }

    /* Preformatted text and code */

    .responsiville pre {
        background: rgb(245, 245, 245);
        padding: 5px 10px;
        border: 1px dotted rgb(165, 165, 165);
    }

    .responsiville code {
        background: rgb(245, 245, 245);
        padding: 0 5px;
        border: 1px solid rgb(165, 165, 165);
        border-radius: 3px;
    }



    /* Blockquotes */

    .responsiville .text blockquote {
        font-size: 1.5em;
        text-align: center;
        font-family: var(--nvm-font-display);
    }

    .small .responsiville .text blockquote {
        padding: 0 2em;
    }

    .tablet .responsiville .text blockquote {
        padding: 0 3em;
    }

    .small .responsiville .text blockquote.shout {
        font-size: 1.5em;
        padding-top: 0;
        padding-right: 1em;
        padding-bottom: 0;
        padding-left: 1em;
    }

    .tablet .responsiville .text blockquote.shout {
        font-size: 2em;
        padding-right: 2em;
        padding-left: 2em;
    }

    .laptop .responsiville .text blockquote.shout {
        font-size: 2.25em;
    }



    /* Tables */

    .small .responsiville table {
        table-layout: fixed;
    }

    .tablet .responsiville table {
        table-layout: inherit;
    }

    .h-24 {
        font-size: 24px;
        line-height: 1.1em;
    }

    h1.h-24,
    h2.h-24,
    h3.h-24,
    h4.h-24,
    h5.h-24,
    h6.h-24 {
        font-size: 24px;
        line-height: 1.1em;
    }

    .barlow {
        font-family: var(--nvm-font-sans-serif-barlow);
    }